Resource Status Tracking (HTTP API)

get
Authorizations
Query parameters
serviceIdsstring[] · max: 100Optional

Limit to ServiceIDs

resourceIdsstring[] · max: 100Optional

Limit to ResourceIDs

pageinteger · min: 1Optional

A page number

Default: 1
itemsPerPageinteger · min: 1 · max: 100Optional

Number of items per page

Default: 50
Responses
chevron-right
200

List of resource state deviations, allowing to identify resources that have diverged from their expected states

get
/api/v2/resources/states/deviations
200

List of resource state deviations, allowing to identify resources that have diverged from their expected states

get
Authorizations
Query parameters
idsstring[] · max: 100Optional

Limit to ServiceIDs

pageinteger · min: 1Optional

A page number

Default: 1
itemsPerPageinteger · min: 1 · max: 100Optional

Number of items per page

Default: 50
Responses
chevron-right
200

Number of resources currently in a deviated state. If no filter is applied the number represents the system wide deviations.

dataone ofRequired
or
integerOptional

The current number of deviations

Example: 42
get
/api/v2/resources/states/deviations/count
200

Number of resources currently in a deviated state. If no filter is applied the number represents the system wide deviations.

get
Authorizations
Query parameters
serviceIdsstring[] · max: 100Optional

Limit to ServiceIDs

resourceIdsstring[] · max: 100Optional

Limit to ResourceIDs

deviatedall ofOptional

Return only deviated resources

booleanOptional

Flag indicating if a deviation was detected or not

and
anyOptionalDefault: false
pageinteger · min: 1Optional

A page number

Default: 1
itemsPerPageinteger · min: 1 · max: 100Optional

Number of items per page

Default: 50
Responses
chevron-right
200

List of resources including their state and status. If no ServiceIDs and no ResourceIDs are provided, it acts as a wildcard request. Filtering for ResourceIds takes precedence over filtering for ServiceIds. Meaning as soon as ResourceIDs are provided, the ServiceIDs will be ignored.

get
/api/v2/resources/states
200

List of resources including their state and status. If no ServiceIDs and no ResourceIDs are provided, it acts as a wildcard request. Filtering for ResourceIds takes precedence over filtering for ServiceIds. Meaning as soon as ResourceIDs are provided, the ServiceIDs will be ignored.

get
Authorizations
Query parameters
namesstring[] · max: 100Optional

Limit to specific runners

pageinteger · min: 1Optional

A page number

Default: 1
itemsPerPageinteger · min: 1 · max: 100Optional

Number of items per page

Default: 50
Responses
chevron-right
200

List of heartbeats

application/json
get
/api/v2/resource-runners
200

List of heartbeats

get
Authorizations
Responses
chevron-right
200

Every RST related http endpoint definition

application/json
get
/api/v2/resources/rst/httpschemas
200

Every RST related http endpoint definition

Last updated

Was this helpful?